import 'package:elektronika/app/pages/settings/sub_pages/cms_screen.dart';
import 'package:get/get.dart';

import '../../app.dart';

class AppPages {
  static var list = [
    GetPage(name: AppRoutes.DASHBOARD, page: () => DashboardPage(), binding: DashboardBinding()),
    GetPage(name: AppRoutes.LOGIN, page: () => LoginPage()),
    GetPage(name: AppRoutes.LOGIN, page: () => RegisterPage()),
    // GetPage(name: AppRoutes.SEARCH, page: () => SearchPage(), binding: SearchBinding()),
    GetPage(name: AppRoutes.PERSONAL_INFO, page: () => PersonalInformationPage()),
    // GetPage(name: AppRoutes.SUBCATEGORY, page: () => SubcategoryPage(), binding: SubcategoryBinding()),
    GetPage(name: AppRoutes.CART, page: () => CartPage()),
    GetPage(name: AppRoutes.PRODUCT_LIST, page: () => ProductListPage()),
    GetPage(name: AppRoutes.CART_ORDER, page: () => CartOrderPage()),
    GetPage(name: AppRoutes.ORDERS, page: () => OrdersPage()),
    GetPage(name: AppRoutes.FILTER_PAGE, page: () => FilterPage()),
    GetPage(name: AppRoutes.WISHLIST, page: () => WishlistsPage()),
    GetPage(name: AppRoutes.CHANGE_LANG, page: () => ChangeLanguage()),
    GetPage(name: AppRoutes.CMS, page: () => CMSScreen()),
    GetPage(name: AppRoutes.CONTACTS, page: () => ContactsScreen()),
    GetPage(name: AppRoutes.SPLASH, page: () => LanguageSplashScreen()),
  ];
}
